#!/usr/bin/make -f

export PYBUILD_NAME = gwdatafind

# build man page for gw_data_find for python2
# Automatically generate man pages with help2man
export PYBUILD_AFTER_INSTALL_python2 := \
	echo 'Generating man pages with help2man' && \
	mkdir -p {destdir}/usr/share/man/man1 && \
	env PYTHONPATH={destdir}{install_dir} \
	help2man --source $(DEB_SOURCE) \
		--version-string $(DEB_VERSION_UPSTREAM) \
		--no-info --no-discard-stderr \
		{destdir}/usr/bin/gw_data_find \
		-o {destdir}/usr/share/man/man1/gw_data_find.1

# redirect Python 3 entry points to bogus path
export PYBUILD_INSTALL_ARGS_python3 = --install-scripts=/ignore
export PYBUILD_AFTER_INSTALL_python3 = rm -rf {destdir}/ignore

%:
	dh $@ --with python2,python3 --buildsystem=pybuild
